{% extends 'base.html.twig' %}
{% block body %}
    <h1>Calendrier</h1>
    {% set year = app.session.get('annee') %}
    {% set month = app.session.get('mois') %}
    <div class="mx-auto" style="width: 100px;">
        <form action="{{path('calendar-month')}}" method="post" name="ymform" id="ymform">
            <select name="annee" id="annee" class="custom-select mb-2" onChange="this.form.submit()">
                <option selected>Annnée</option>
                {% set m = 2030 %}
                {% for k in range(1998, m) %}
                    {% if k == "now"|date("Y") %}
                        <option value="{{k}}" selected>{{k}}</option>
                    {% else %}
                        <option value="{{k}}">{{k}}</option>
                    {% endif %}
                {% endfor %}
            </select>
            <select name="mois" id="mois" class="custom-select" onChange="this.form.submit()">
                <option selected>Mois...</option>
                <option>Janvier</option>
                <option>Fevrier</option>
                <option>Mars</option>
                <option>Avril</option>
                <option>Mai</option>
                <option>Juin</option>
                <option>Juillet</option>
                <option>Aout</option>
                <option>Septembre</option>
                <option>Octobre</option>
                <option>Novembre</option>
                <option>Décembre</option>
            </select>
        </form>
    </div>
    <br>
    {% block body3 %}
    {% endblock %}
    <script type="text/javascript">
        $(document).ready(function() {
            var year = '{{year}}';
            var month = '{{month}}';
            if(month != ''){
                $("#mois").val(month);
            }
            if(year != ''){
                $("#annee").val(year);
            }
        });
    </script>
    
{% endblock %}